CNET también está disponible en español.

Ir a español

Don't show this again

Security

Mozilla patches critical vulnerabilities in Firefox update

The latest update to the browser fixes a number of critical and high-risk vulnerabilities.

Memory corruption, use-after-free vulnerabilities and privilege escalation flaws have been tackled in Firefox 39. Mozilla

Mozilla has issued a new Firefox browser update with fixes for four critical vulnerabilities and a number of less severe issues.

It is advised that users update their Firefox browser to the latest version, as these vulnerabilities could be exploited by cyberattackers looking to hijack sessions or steal sensitive data.

In Firefox 39, a total of four critical vulnerabilities, two high-level flaws and six moderate bugs have been patched among a total of 13 fixes. According to the Mozilla security advisory, security issues relate to use-after-free vulnerabilities, poor validation processes, buffer overflow problems and a variety of memory problems.

Two of the most critical issues are use-after-free vulnerabilities. When using XMLHttpRequest, an API used by the Firefox browser to request data from a server, in concert with either shared or dedicated workers, errors occur when the XMLHttpRequest object is attached to a worker -- but that object is incorrectly deleted while still in use. This, in turn, can lead to exploitable crashes.

In addition, seven vulnerabilities, lumped together under one critical bug advisory, relate to released browser code. Three vulnerabilities were discovered as uses of uninitialized memory, one related to poor validation leading to an exploitable crash, one read of unowned memory in .zip files, and two issues led to buffer overflows.

Separately, these bugs could not be exploited easily through web content, but according to Mozilla "are vulnerable if a mechanism can be found to trigger them."

Another critical vulnerability is a use-after-free flaw which occurs when a Content Policy modifies the Document Object Model to remove a DOM object. An error in microtask implementation can lead to an exploitable browser crash -- however, this flaw cannot generally be exploited through Thunderbird email because scripting is disabled.

The last critical vulnerability relates to memory safety bugs in the browser engine. Mozilla says a number of bugs could corrupt memory "under certain circumstances," and may be exploited to run arbitrary code.

Other bugs fixed include signature validation errors, privilege escalation flaws, ServerKeyExchange skipping bugs and type confusion problems.

This story originally posted as "Mozilla patches critical bugs in fresh Firefox update" on ZDNet.